import argparse


def parse_args() -> argparse.Namespace:
    r"""Parses the command line arguments."""
    parser = argparse.ArgumentParser(description="ExplainingFramework")

    parser.add_argument(
        "--explaining_cfg",
        dest="explaining_cfg_file",
        type=str,
        required=True,
        help="The explaining configuration file path.",
    )
    parser.add_argument(
        "--gpu_id",
        type=int,
        help="GPU ID if cuda available",
    )
    parser.add_argument(
        "--force_fastforward",
        type=bool,
        help="It does not load file for elaredy existing files",
        default=False,
    )

    return parser.parse_args()
